پیکسلها
GET https://linkcomposer.com/api/pixels/
curl --request GET \
--url 'https://linkcomposer.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linkcomposer.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| search | اختیاری رشته (String) | عبارت جستجو. |
| search_by | اختیاری رشته (String) | فیلدی که بر اساس آن جستجو میکنید. مقادیر مجاز: name, pixel. |
| type | اختیاری رشته (String) | مقادیر مجاز: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat, inappskipper |
| datetime_field | اختیاری رشته (String) | مقادیر مجاز: datetime, last_datetime |
| datetime_start | اختیاری رشته (String) | فیلتر نتایج از این تاریخ و زمان به بعد. با قالب Y-m-d H:i:s. |
| datetime_end | اختیاری رشته (String) | فیلتر نتایج تا این تاریخ و زمان. با قالب Y-m-d H:i:s. |
| order_by | اختیاری رشته (String) | فیلدی که نتایج بر اساس آن مرتب میشوند. مقادیر مجاز: pixel_id, datetime, last_datetime, name. |
| order_type | اختیاری رشته (String) | ترتیب نتایج. مقادیر مجاز: ASC برای ترتیب صعودی و DESC برای ترتیب نزولی. |
| page | اختیاری عدد صحیح (Integer) | شماره صفحهای که میخواهید نتایج آن را دریافت کنید. مقدار پیشفرض 1 است. |
| results_per_page | اختیاری عدد صحیح (Integer) | تعداد نتایج در هر صفحه. مقادیر مجاز: 10, 25, 50, 100, 250, 500, 1000. مقدار پیشفرض 25 است. |
{
"data": [
{
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-10-03 00:01:37"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://linkcomposer.com/api/pixels?page=1",
"last": "https://linkcomposer.com/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://linkcomposer.com/api/pixels?page=1"
}
}
GET https://linkcomposer.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://linkcomposer.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linkcomposer.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-10-03 00:01:37"
}
}
POST https://linkcomposer.com/api/pixels
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| type | الزامی رشته (String) | مقادیر مجاز: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat, inappskipper |
| name | الزامی رشته (String) | - |
| pixel | الزامی رشته (String) | - |
curl --request POST \
--url 'https://linkcomposer.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://linkcomposer.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-10-03 00:01:37"
}
}
POST https://linkcomposer.com/api/pixels/{pixel_id}
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| type | اختیاری رشته (String) | مقادیر مجاز: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat, inappskipper |
| name | اختیاری رشته (String) | - |
| pixel | اختیاری رشته (String) | - |
curl --request POST \
--url 'https://linkcomposer.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://linkcomposer.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-10-03 00:01:37"
}
}
DELETE https://linkcomposer.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://linkcomposer.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linkcomposer.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \